# tkfcontrol.tcl --
#
#

if {![info exists tkFaxSpool]} {
    error "This script should be run from within  \"tkfaxspool\"."
}
# kill tkfaxrecipient.tcl
destroy .tkfrecipient

set w .tkfcontrol
catch {destroy $w}
toplevel $w
wm title $w "tkFaxSpool Control"
wm iconname $w "tkFaxSpool Control"
wm iconbitmap $w @$TKFAXSPOOLDIR/image/icon
positionWindow $w

global TKFAXSPOOLDIR USERHOME TKFAXADDRESS FNRLIST RECIPLIST
set bgcolor "#eeeeee"


##################################################
# Set up some default global values
set FQOPTION "faxqa"
set FQMODE "faxqn"

# START PROCS Section

proc faxaddvalid {} {
global ALIAS NUMBER FNAM LNAM COMP ADDR CITY PROV POST CTRY PHON EMAL
global USERHOME FNRLIST FAXNRS file FQLIST

# clean white space out of ALIAS
  set ALIAS [string trim $ALIAS]
  if { $ALIAS != "" } {
     set temp ""
     set c 0
     set l [string length $ALIAS]
     while {$c < $l} {
           set char [string range $ALIAS $c $c]
           if {$char == " "} { set c $l }
           if {$char != " "} { append temp $char }
           set c [expr $c+1]
           }
     set ALIAS $temp
  }
# clean out white space in NUMBER
# (white space is valid for most modems as format char
# but will not work with faxspool)
  set NUMBER [string trim $NUMBER]
  if { $NUMBER != "" } {
     set temp ""
     set c 0
     set l [string length $NUMBER]
     while {$c < $l} {
           set char [string range $NUMBER $c $c]
           if {$char == " "} { set char "-" }
           append temp $char
           set c [expr $c+1]
           }
## check for valid chars in NUMBER
## 0-9 DTMF digits 0 to 9.
## *   The 'star' digit (tone dialing only).
## #   The 'gate' digit (tone dialing only).
## !   Flash: the modem will go on-hook for a time defined by the value of S29.
## W   Wait for dial tone: before dialing the digits following "W".
## @   Wait for silence: the modem will wait for at least 5 seconds of silence
## &   Wait for credit card dialing tone before continuing with the dial string.
## ,   Dial pause: the modem will pause for a time specified by S8
## ;   Return to command state.
## ^   Toggles calling tone enable/disable:
## ( ) Ignored: may be used to format the dial string.
## -   Ignored: may be used to format the dial string.
## >   Generate a grounding pulse on the EARTH relay output.
     if {[regexp -nocase {^[0-9\*\#\!W\@\&\,\;\^\(\)\-\>]+$} $temp]} {
         set NUMBER $temp
     } else {
         set NUMBER "SORRY"
         set warning "invalid FAX number ... not saving"
         puts $warning
     }
     if { $NUMBER != "SORRY" } {
        set l [string length $ALIAS]
        set l [expr $l-1]
        set dupflag 0

        foreach n $FNRLIST {
          set duptest [string range $n 0 $l]
          if { $ALIAS == $duptest } { 
          set dupflag 1
          set warning "duplicate found ... not saving"
          puts $warning
# temp
set dupflag 0
          } 
        }
        if { $dupflag == 0 } {
           lappend FNRLIST "$ALIAS $NUMBER $FNAM ;$LNAM ;$COMP ;$ADDR ;$CITY ;$PROV ;$POST ;$CTRY ;$PHON ;$EMAL"
           set FNRLIST [lsort $FNRLIST]
           faxaddsave
        }
     }
  }
}
############## end of proc faxaddvalid ##################
proc getfaxnrs {} {
global ALIAS NUMBER FNAM LNAM COMP ADDR CITY PROV POST CTRY PHON EMAL
global w USERHOME FAXNRS FNRLIST
 
set FNRLIST {}
 if { [file readable $USERHOME/$FAXNRS] == 1} {
   catch {set file [open $USERHOME/$FAXNRS r]}
   while {[gets $file LINE] >= 0} {
         set LINE [string trimleft $LINE]
         if { $LINE != "" } {
            if {[string range $LINE 0 0] != "#"} {
               lappend FNRLIST $LINE
            }
         }
   }
 close $file
 }
}
######################## END proc getfaxnrs  #######################
proc faxaddsave {} {
global ALIAS NUMBER FNAM LNAM COMP ADDR CITY PROV POST CTRY PHON EMAL
global f USERHOME FAXNRS FNRLIST

  catch [exec rm $USERHOME/$FAXNRS]
  catch [exec touch $USERHOME/$FAXNRS]
  catch [exec chmod 600 $USERHOME/$FAXNRS]
  catch {set file [open $USERHOME/$FAXNRS r+]}
  foreach n $FNRLIST {puts $file $n}
  close $file
  faxaddrefresh
  faxaddnew
}
proc setwin2add {} {
global window r USERHOME FAXNRS FNRLIST

 set window $r
}
proc setwin2fab {} {
global window f USERHOME FAXNRS FNRLIST

 set window $f
}

proc faxaddrefresh {} {
global window USERHOME FAXNRS FNRLIST

  getfaxnrs
  $window.bottom.addresslist delete 0 end
  foreach n $FNRLIST {$window.bottom.addresslist insert end $n}
}
############## end of proc faxaddsave ##################

proc faxadddel {} {
global ALIAS NUMBER FNAM LNAM COMP ADDR CITY PROV POST CTRY PHON EMAL
global f FAXNRS FNRLIST

foreach i [$f.bottom.addresslist curselection] {
         set FNRLIST [lreplace $FNRLIST $i $i]
         $f.bottom.addresslist delete $i
         faxaddnew
         faxaddsave
          }

}
############## end of proc faxadddel ##################


proc faxaddedit {} {
global ALIAS NUMBER FNAM LNAM COMP ADDR CITY PROV POST CTRY PHON EMAL
global window FAXNRS FNRLIST

foreach i [$window.bottom.addresslist curselection] {
    set recipient [lindex $FNRLIST $i]
               # sting-length char-count global-start global-count
               set sl [string length $recipient ]
               set cc 0
               set gs 0
               set gc 1
               while { $cc < $sl } {
                set char [string range $recipient $cc $cc]
                 if { $gc <= 2} {
                  if {$char == " "} {
                     if {$gc == 2 } {
                        set ge [expr $cc-1]
                        set NUMBER [string range $recipient $gs $ge]
                        set gs [expr $cc+1]
                        set gc [expr $gc+1]
                     }
                     if {$gc == 1 } {
                        set ge [expr $cc-1]
                        set ALIAS [string range $recipient $gs $ge]
                        set gs [expr $cc+1]
                        set gc [expr $gc+1]
                     }
                  }
                 }
                 if { $gc >= 3} {
                  if {$gc == 12 } {
                    set ge [expr $cc-1]
                    set EMAL [string range $recipient $gs end]
                    set gs [expr $cc+1]
                    set gc [expr $gc+1]
                  }
                  if {$char == ";"} {
                  #   if {$gc == 12 } {
                  #     set ge [expr $cc-1]
                  #     set EMAL [string range $recipient $gs $ge]
                  #     set gs [expr $cc+1]
                  #     set gc [expr $gc+1]
                  #   }
                     if {$gc == 11 } {
                       set ge [expr $cc-1]
                       set PHON [string range $recipient $gs $ge]
                       set gs [expr $cc+1]
                       set gc [expr $gc+1]
                     }
                     if {$gc == 10 } {
                       set ge [expr $cc-1]
                       set CTRY [string range $recipient $gs $ge]
                       set gs [expr $cc+1]
                       set gc [expr $gc+1]
                     }
                     if {$gc == 9 } {
                       set ge [expr $cc-1]
                       set POST [string range $recipient $gs $ge]
                       set gs [expr $cc+1]
                       set gc [expr $gc+1]
                     }
                     if {$gc == 8 } {
                       set ge [expr $cc-1]
                       set PROV [string range $recipient $gs $ge]
                       set gs [expr $cc+1]
                       set gc [expr $gc+1]
                     }
                     if {$gc == 7 } {
                       set ge [expr $cc-1]
                       set CITY [string range $recipient $gs $ge]
                       set gs [expr $cc+1]
                       set gc [expr $gc+1]
                     }
                     if {$gc == 6 } {
                       set ge [expr $cc-1]
                       set ADDR [string range $recipient $gs $ge]
                       set gs [expr $cc+1]
                       set gc [expr $gc+1]
                     }
                     if {$gc == 5 } {
                       set ge [expr $cc-1]
                       set COMP [string range $recipient $gs $ge]
                       set gs [expr $cc+1]
                       set gc [expr $gc+1]
                     }
                     if {$gc == 4 } {
                       set ge [expr $cc-1]
                       set LNAM [string range $recipient $gs $ge]
                       set gs [expr $cc+1]
                       set gc [expr $gc+1]
                     }
                     if {$gc == 3 } {
                       set ge [expr $cc-1]
                       set FNAM [string range $recipient $gs $ge]
                       set gs [expr $cc+1]
                       set gc [expr $gc+1]
                     }
                  }
                 }
                set cc [expr $cc+1] 
               }
            }

}
############## end of proc faxaddedit ##################

proc faxaddnew {} {
global f ALIAS NUMBER FNAM LNAM COMP ADDR CITY PROV POST CTRY PHON EMAL

set ALIAS ""
set NUMBER ""
set FNAM ""
set LNAM ""
set COMP ""
set ADDR ""
set CITY ""
set PROV ""
set POST ""
set CTRY ""
set PHON ""
set EMAL ""
focus $f.alias.entry
}
############## end of proc faxaddnew ##################

# END PROCS Section

# START TOP IMAGE ##############################################
frame $w.gif
pack $w.gif -side top -fill x

catch {image delete tkfaxspoolprintfax}
image create photo tkfaxspoolcontrol -file [file join $TKFAXSPOOLDIR/image/tkfaxspoolcontrol.gif]
label $w.gif.tkfaxspoolcontrol -image tkfaxspoolcontrol -bd 1 -relief sunken
label $w.gif.linux -image linux -bd 1 -relief sunken
label $w.gif.faxmachine -image faxmachine -bd 1 -relief sunken
label $w.gif.penguin -image penguin -bd 1 -relief sunken
 
pack $w.gif.faxmachine -side left
pack $w.gif.tkfaxspoolcontrol -side left -expand 1 -fill x
pack $w.gif.linux -side right
pack $w.gif.penguin -side right
# END TOP IMAGE ##############################################

#############
tixNoteBook $w.nb -ipadx 6 -ipady 6

$w.nb add add -label "Add Recipients" -underline 4 -raisecmd "setwin2add;faxaddrefresh"
$w.nb add fab -label "Address Book" -underline 8 -raisecmd "setwin2fab;faxaddrefresh"
$w.nb add que -label "FAX Queue" -underline 4
pack $w.nb -expand yes -fill both -padx 5 -pady 5 -side top

#####################################################################
#################### ADD Recipients START  ##########################
#####################################################################
proc faxrecipadd {} {
global ALIAS NUMBER FNAM LNAM COMP ADDR CITY PROV POST CTRY PHON EMAL
global window r  RECIPLIST FNRLIST
set window $r
 

  foreach i [$r.bottom.addresslist curselection] {
        faxaddedit
        set l [string length $ALIAS]
        set l [expr $l-1]
        set dupflag 0
 
        foreach n $RECIPLIST {
          set duptest [string range $n 0 $l]
          if { $ALIAS == $duptest } {
            set dupflag 1
            set warning "duplicate found in proc faxrecipadd ... not adding recipient"
            puts $warning
          }
        }
 
        if { $dupflag == 0 } {
          set recipselected [lindex $FNRLIST $i]
          lappend RECIPLIST $recipselected
          .fr.faxrecip.list insert end $recipselected
        }
  }
}
############# end proc faxrecipadd ###################

set r [$w.nb subwidget add]
set window $r

frame $r.buttons
pack $r.buttons -side bottom -fill x -pady 2m
button $r.buttons.add -text ADD -command "faxrecipadd"
button $r.buttons.close -text CLOSE -command "destroy $w"
pack $r.buttons.add $r.buttons.close -side left -expand 1

frame $r.bottom
pack $r.bottom -side top -expand yes -pady .25c -padx .25c
listbox $r.bottom.addresslist -relief sunken -font {fixed 14} -width 55 \
        -height 20 -yscrollcommand "$r.bottom.vscroll set" \
        -xscrollcommand "$r.bottom.hscroll set" -background $bgcolor

scrollbar $r.bottom.vscroll -command "$r.bottom.addresslist yview"
scrollbar $r.bottom.hscroll -orient horiz -command "$r.bottom.addresslist xview"

tixPopupMenu $r.bottom.p -title "Recipient"
    $r.bottom.p bind $r.bottom.addresslist
    set menur [$r.bottom.p subwidget menu]
    $menur add command -label Add   -under 0 -command faxrecipadd
    $menur add command -label Close -under 0 -command "destroy $w"

bind $r.bottom.addresslist <Double-Button-1> faxrecipadd
pack $r.bottom.hscroll -side bottom -fill x -expand 1
pack $r.bottom.addresslist -side left
pack $r.bottom.vscroll -side left -fill y -expand 1
 
faxaddrefresh

#####################################################################
#################### FAX Address Book START  ##########################
#####################################################################
set f [$w.nb subwidget fab]
set window $f
frame $f.buttons
pack $f.buttons -side bottom -fill x -pady 2m
button $f.buttons.save -text SAVE -command "faxaddvalid"
button $f.buttons.del -text DEL -command "faxadddel"
button $f.buttons.edit -text EDIT -command "faxaddnew;faxaddedit"
button $f.buttons.new -text NEW -command "faxaddnew"
button $f.buttons.close -text CLOSE -command "destroy $w"
pack $f.buttons.save $f.buttons.del $f.buttons.edit $f.buttons.new \
     $f.buttons.close -side left -expand 1

frame $f.alias -bd 2
label $f.msg1 -font $font -width 30 -anchor w -justify left -text "\nEnter Recipient Alias (no spaces allowed)"
label $f.alias.label -width 15 -anchor w -text "ALIAS\t:"
entry $f.alias.entry -relief sunken -width 60 -textvariable ALIAS -background $bgcolor
 
frame $f.number -bd 2
label $f.msg2 -font $font -width 30 -anchor w -justify left -text "Enter FAX Machine Telephone Number"
label $f.number.label -width 15 -anchor w -text "FAX Number\t:"
entry $f.number.entry -relief sunken -width 60 -textvariable NUMBER -background $bgcolor

label $f.msg3 -font $font -width 30 -anchor w -justify left -text "Enter Optional Information (for fax logs)"

pack $f.alias.label $f.number.label -pady .3c -side left
pack $f.alias.entry $f.number.entry -pady .3c -side left
pack $f.msg1 $f.alias $f.msg2 $f.number $f.msg3 -padx .5c -side top -fill x

frame $f.fnamf -bd 2
pack $f.fnamf  -side top -padx .5c -fill x
label $f.fnamf.fnam -width 15 -anchor w -text "First Name:"
entry $f.fnamf.fname -relief sunken -width 20 -textvariable FNAM -background $bgcolor
label $f.fnamf.lnam -anchor w -text "Last Name:"
entry $f.fnamf.lname -relief sunken -width 28 -textvariable LNAM -background $bgcolor
pack $f.fnamf.fnam $f.fnamf.fname $f.fnamf.lnam $f.fnamf.lname -side left

frame $f.compf -bd 2
pack  $f.compf -side top -padx .5c -fill x
label $f.compf.comp -width 15 -anchor w -text "Company\t:"
entry $f.compf.compe -relief sunken -width 60 -textvariable COMP -background $bgcolor
pack $f.compf.comp $f.compf.compe -side left

frame $f.addrf -bd 2
pack  $f.addrf -side top -padx .5c -fill x
label $f.addrf.addr -width 15 -anchor w -text "Address\t:"
entry $f.addrf.addre -relief sunken -width 60 -textvariable ADDR -background $bgcolor
pack  $f.addrf.addr $f.addrf.addre -side left

frame $f.cityf -bd 2
pack  $f.cityf -side top -padx .5c -fill x
label $f.cityf.city -width 15 -anchor w -text "City\t:"
entry $f.cityf.citye -relief sunken -width 26 -textvariable CITY -background $bgcolor
label $f.cityf.prov -anchor w -text "Prov/State:"
entry $f.cityf.prove -relief sunken -width 4  -textvariable PROV -background $bgcolor
label $f.cityf.post -anchor w -text "Postal/Zip:"
entry $f.cityf.poste -relief sunken -width 7  -textvariable POST -background $bgcolor
pack  $f.cityf.city $f.cityf.citye $f.cityf.prov $f.cityf.prove $f.cityf.post $f.cityf.poste -side left

frame $f.ctryf -bd 2
pack  $f.ctryf -side top -padx .5c -fill x
label $f.ctryf.ctry -width 15 -anchor w -text "Country\t:"
entry $f.ctryf.ctrye -relief sunken -width 26 -textvariable CTRY -background $bgcolor
label $f.ctryf.phon -anchor w -text "Phone:"
entry $f.ctryf.phone -relief sunken -width 26 -textvariable PHON -background $bgcolor
pack $f.ctryf.ctry $f.ctryf.ctrye $f.ctryf.phon $f.ctryf.phone -side left

frame $f.emalf -bd 2
pack  $f.emalf -side top -padx .5c -fill x
label $f.emalf.emal -width 15 -anchor w -text "E-Mail\t:"
entry $f.emalf.emale -relief sunken -width 60 -textvariable EMAL -background $bgcolor
pack  $f.emalf.emal $f.emalf.emale -side left
 
focus $f.alias.entry
bind $f.alias.entry <Return> {focus $f.number.entry}
bind $f.number.entry <Return> {focus $f.fnamf.fname}
bind $f.fnamf.fname <Return> {focus $f.fnamf.lname}
bind $f.fnamf.lname <Return> {focus $f.compf.compe}
bind $f.compf.compe <Return> {focus $f.addrf.addre}
bind $f.addrf.addre <Return> {focus $f.cityf.citye}
bind $f.cityf.citye <Return> {focus $f.cityf.prove}
bind $f.cityf.prove <Return> {focus $f.cityf.poste}
bind $f.cityf.poste <Return> {focus $f.ctryf.ctrye}
bind $f.ctryf.ctrye <Return> {focus $f.ctryf.phone}
bind $f.ctryf.phone <Return> {focus $f.emalf.emale}
bind $f.emalf.emale <Return> {focus $f.alias.entry}

#### listbox shows addresses on file and lets you choose recipient

frame $f.bottom
pack $f.bottom -side top -expand yes -pady .25c -padx .25c
listbox $f.bottom.addresslist -relief sunken -font {fixed 14} -width 55 \
           -height 5 -yscrollcommand "$f.bottom.vscroll set" \
           -xscrollcommand "$f.bottom.hscroll set" -background $bgcolor
bind $f.bottom.addresslist <Double-Button-1> "faxaddnew;faxaddedit"
scrollbar $f.bottom.vscroll -command "$f.bottom.addresslist yview"
scrollbar $f.bottom.hscroll -orient horiz -command "$f.bottom.addresslist xview"

tixPopupMenu $f.bottom.p -title "FAB"
    $f.bottom.p bind $f.bottom.addresslist
    set menuf [$f.bottom.p subwidget menu]
    $menuf add command -label Delete -under 0 -command faxadddel
    $menuf add command -label Edit   -under 0 -command "faxaddnew;faxaddedit"
    $menuf add command -label New    -under 0 -command faxaddnew
    $menuf add command -label Close  -under 0 -command "destroy $w"

pack $f.bottom.hscroll -side bottom -fill x -expand 1
pack $f.bottom.addresslist -side left 
pack $f.bottom.vscroll -side left -fill y -expand 1

#################### FAX Address Book END ##########################

#####################################################################
#################### FAX QUE START  ##########################
#####################################################################
proc fqmode { subw state } {
global q FQMODESET

# puts $subw
# puts $state
if { $subw == "faxqn" } {
     if {$state == 1} {
         set FQMODESET "Normal"
         catch [$q.top.bm bind $q.top.faxqm -balloonmsg "Normal Mode is set"]
        }
   }

if { $subw == "faxqd" } {
     if {$state == 1} {
         set FQMODESET "Detail"
         $q.top.bm bind $q.top.faxqm -balloonmsg "Detail Mode is set"
        }
   }
catch [fqrefresh]
}
proc fqstatus { subw state } {
global q FQOPTION

# puts $subw
# puts $state
if { $subw == "faxqa" } { 
     if {$state == 1} { 
        catch [set FQOPTION "faxqa"]
        catch [$q.top.b bind $q.top.faxq -balloonmsg "Active Jobs is set"]
        }
   }
if { $subw == "faxqo" } {
     if {$state == 1} {
         set FQOPTION "faxqo"
         $q.top.b bind $q.top.faxq -balloonmsg "Old Jobs is set" 
        }
   }
if { $subw == "faxqs" } {
     if {$state == 1} {
         set FQOPTION "faxqs"
         $q.top.b bind $q.top.faxq -balloonmsg "FAILED Jobs is set" 
        }
   }
catch fqrefresh
}

proc fqrefresh {} {
global q FQOPTION FQMODESET FQLIST HOME USERHOME

# options are:
# -v	verbose
# -o	old jobs
# -s	suspended jobs
# -a	all jobs
# -r	restart suspended jobs
# -P <job> <prio>	change priority ie/ "faxq -P F000247 3"

if { $FQOPTION == "faxqa" } {
     if { $FQMODESET == "Normal"} { set faxqcmd "faxq" }
     if { $FQMODESET == "Detail"} { set faxqcmd "faxq -v" }
     $q.top.status configure -text "Viewing Active FAX Jobs in $FQMODESET Mode"
     $q.buttons.restart configure -state disabled
   }

if { $FQOPTION == "faxqo" } {
     if { $FQMODESET == "Normal"} { set faxqcmd "faxq -o" }
     if { $FQMODESET == "Detail"} { set faxqcmd "faxq -o -v" }
     $q.top.status configure -text "Viewing Historical FAX Jobs in $FQMODESET Mode"
     $q.buttons.restart configure -state disabled
   }
if { $FQOPTION == "faxqs" } {
     if { $FQMODESET == "Normal"} { set faxqcmd "faxq -s" }
     if { $FQMODESET == "Detail"} { set faxqcmd "faxq -s -v" }
     $q.top.status configure -text "Viewing Suspended FAX Jobs in $FQMODESET Mode"
     $q.buttons.restart configure -state normal
   }

  catch [ eval exec $faxqcmd > $HOME/faxq.list ] error
# puts $error

set FQLIST {}
 if { [file readable $HOME/faxq.list] == 1} {
   catch {set file [open $HOME/faxq.list r]}
   while {[gets $file LINE] >= 0} {
         set LINE [string trimleft $LINE]
         if { $LINE != "" } {
            # clean up the formating "\t" tab 
            if { [string range $LINE 0 1] == "\\t" } {
               set LINE [string range $LINE 2 end]
            }
            if {[string range $LINE 0 0] != "#"} {
               lappend FQLIST $LINE
            }
         }
   }
 close $file
 }


  $q.bottom.faxqlist delete 0 end
  foreach n $FQLIST {$q.bottom.faxqlist insert end $n}

# Now wait 30 sec. and run it again
  after 30000 catch fqrefresh
}

proc fqjobnum {} {
global q FQLIST JNUMBER

set JNUMBER ""

    foreach i [$q.bottom.faxqlist curselection] {
    set target [lindex $FQLIST $i]
# sting-length char-count jobnum-start
               set sl [string length $target ]
               set cc 0
               set js 0
               while { $cc < $sl } {
                set char [string range $target $cc $cc]
                  if {$char == "/"} {
                        set je [expr $cc-1]
                        set JNUMBER [string range $target $js $je]
                        set cc $sl
                  }
                set cc [expr $cc+1]
               }
    }
}

proc fqdelete {} {
global q JNUMBER

  fqjobnum
  if { $JNUMBER != ""} {
    catch [ eval exec faxrm $JNUMBER ] error
# puts $error
    fqrefresh 
  }
}

proc fqrestart {} {
global q 

set answer [tk_messageBox -icon question -message "RESTART SUSPENDED  \nFAILED FAX JOBS?" -type yesno -title "Restart ?" -parent $q ]
# puts $answer
  if { $answer == "yes" } { 
   catch [ eval exec faxq -r ] error
# puts $error
  fqrefresh
  }
}

set q [$w.nb subwidget que]
frame $q.buttons
pack $q.buttons -side bottom -fill x -pady 2m

button $q.buttons.delete  -text DELETE  -command "fqdelete"
button $q.buttons.refresh -text REFRESH -command "fqrefresh"
button $q.buttons.restart -text RESTART -command "fqrestart"
button $q.buttons.close -text CLOSE -command "destroy $w"
pack $q.buttons.delete $q.buttons.refresh $q.buttons.restart $q.buttons.close -side left -expand 1

# faxq options selection buttons
frame $q.top
pack $q.top -side top -expand yes -anchor w -padx .40c -pady 2

tixSelect $q.top.faxq -allowzero false -radio true -disablecallback false \
          -command fqstatus \
          -options {
	    label.anchor w
	    }
image create photo faxqa  -file [file join $TKFAXSPOOLDIR/image/faxqa.gif]
$q.top.faxq add faxqa    -image faxqa 
image create photo faxqo -file [file join $TKFAXSPOOLDIR/image/faxqo.gif]
$q.top.faxq add faxqo    -image faxqo
image create photo faxqs -file [file join $TKFAXSPOOLDIR/image/faxqs.gif]
$q.top.faxq add faxqs    -image faxqs
$q.top.faxq config -variable FQOPTION

tixSelect $q.top.faxqm -allowzero false -radio true -disablecallback false \
          -command fqmode \
          -options {
	    label.anchor w
	    }
image create photo faxqn  -file [file join $TKFAXSPOOLDIR/image/faxqn.gif]
$q.top.faxqm add faxqn    -image faxqn 
image create photo faxqd -file [file join $TKFAXSPOOLDIR/image/faxqd.gif]
$q.top.faxqm add faxqd    -image faxqd 
$q.top.faxqm config -variable FQMODE

pack $q.top.faxq $q.top.faxqm -side left -fill both -expand yes


label $q.top.status -width 40 -relief sunken -bd 1 -text "Viewing Active FAX Jobs in Normal Mode"
pack $q.top.status -side top  -anchor w -fill y -padx .40c -pady 2

tixBalloon $q.top.b
$q.top.b bind $q.top.faxq -balloonmsg "Active Jobs is set"
tixBalloon $q.top.bm
$q.top.bm bind $q.top.faxqm -balloonmsg "Normal Detail is set"

# bottom buttons
frame $q.bottom
listbox $q.bottom.faxqlist -relief sunken -font {fixed 14} -width 55 \
        -height 20 -yscrollcommand "$q.bottom.vscroll set" \
        -xscrollcommand "$q.bottom.hscroll set" -background $bgcolor
 
scrollbar $q.bottom.vscroll -command "$q.bottom.faxqlist yview"
scrollbar $q.bottom.hscroll -orient horiz -command "$q.bottom.faxqlist xview" 

tixPopupMenu $q.bottom.p -title "QUEUE"
    $q.bottom.p bind $q.bottom.faxqlist
    set menuq [$q.bottom.p subwidget menu]
    $menuq add command -label Delete  -under 0 -command fqdelete
    $menuq add command -label Refresh -under 0 -command fqrefresh
    $menuq add command -label Close   -under 0 -command "destroy $w"

 
# bind $q.bottom.faxqlist <Double-Button-1> fqsomething?
pack $q.bottom -side top -expand yes -pady .25c -padx .25c
pack $q.bottom.hscroll -side bottom -fill x -expand 1
pack $q.bottom.faxqlist -side left
pack $q.bottom.vscroll -side left -fill y -expand 1

fqrefresh


#################### FAX QUE END  ##########################
# now get the addresses
faxaddrefresh
# load up the listbox
foreach n $FNRLIST {$f.bottom.addresslist insert end $n}
# and clear the entry widgets
# bind all <Enter> {puts "Entering %W"}

