# tkfreadme.tcl --
#
#

if {![info exists tkFaxSpool]} {
    error "This script should be run from within  \"tkfaxspool\"."
}

set w .tkfreadme
catch {destroy $w}
toplevel $w
wm title $w "tkFaxSpool Readme"
wm iconname $w "tkFaxSpool Readme"
wm iconbitmap $w @$TKFAXSPOOLDIR/image/icon
positionWindow $w

set bgcolor "#eeeeee"

######################################################
# tkvoice setup image
frame $w.gif
pack $w.gif -side top -fill x

catch {image delete tkfreadme}
image create photo tkfreadme -file [file join $TKFAXSPOOLDIR/image/tkfaxspoolreadme.gif]

label $w.gif.tkfreadme -image tkfreadme -bd 1 -relief sunken
label $w.gif.linux -image linux -bd 1 -relief sunken
label $w.gif.faxmachine -image faxmachine -bd 1 -relief sunken
label $w.gif.penguin -image penguin -bd 1 -relief sunken
 
pack $w.gif.faxmachine -side left
pack $w.gif.tkfreadme -side left -expand 1 -fill x
pack $w.gif.linux -side right
pack $w.gif.penguin -side right

#########################

frame $w.buttons
pack $w.buttons -side bottom -fill x -pady 2m
button $w.buttons.cancel -text CANCEL -command "destroy $w"
pack $w.buttons.cancel -side left -expand 1

text $w.text -relief sunken -bd 2 -yscrollcommand "$w.scroll set" \
	     -setgrid 1 -height 30 -state normal -background $bgcolor
scrollbar $w.scroll -command "$w.text yview"
pack $w.scroll -side right -fill y
pack $w.text -expand yes -fill both
$w.text tag configure small -font {Times 12 bold} -justify left
$w.text tag configure norm -font {Helvetica 12} -justify left
$w.text tag configure bold -font {Helvetica 12 bold} -justify left
$w.text insert 0.0 \
{          _-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_

          This file announces the release of tkfaxspool 0.1

                          Peter Bruley
                     pbruley@highstream.net

                    GNU GENERAL PUBLIC LICENSE
                       Version 2, June 1991

                        (See file COPYING)

          The latest version of this script is available from:
                 ftp://alpha.greenie.net/pub/mgetty/tools/

           The tkFAXSPOOL Home Page is located on the web at:
                  http://tkvoice.netfirms.com/tkfaxspool/

          -_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
} bold

$w.text insert end \
{

TKFAXSPOOL is a Frontend for mgetty's faxspool/faxrm fax sending programs.

Using your  modem under  LINUX,   "mgetty"  modem software controls  the
low level calls to your modem.  TKFAXSPOOL   is a Frontend that provides
a Graphical User Interface(GUI) under  X11, KDE or Gnome. TKFAXSPOOL is a
TCL/TK  script  that allows you send facsimiles. It also lets you build and
maintain a FAX-ADDRESS-BOOK of recipients. TKFAXSPOOL allows you to view  
outgoing FAX's with Ghostview. TKFAXSPOOL can be invoked with a special   
command line argument "-f /path/filename" to add files to the "FILES to FAX"
list. This is useful for building a FAX-Printer so you can FAX the output
from any program that has a print button. TKFAXSPOOL can also call TKVOICE
so you can view your incoming FAX's and listen to your voice messages.

} norm

$w.text insert end \
{
------------------------------------------------------------------------
To use TKFAXSPOOL as a lpd style FAX-PRINTER:
------------------------------------------------------------------------
} bold

$w.text insert end \
{
edit your /etc/printcap and add the following lines:
} norm

$w.text insert end \
{
FAX:\                                                                
   :lp=/dev/null:\                                               
   :sd=/var/spool/fax/printer/tmp:\                               
   :lf=/var/spool/fax/printer/logfile:\                              
   :af=/var/spool/fax/printer/acct:\                           
   :if=/var/spool/fax/printer/filt/FAX.flt:\                    
   :mx#0:sf:sh:

} small

$w.text insert end \
{
then create the directories:

} norm

$w.text insert end \
{
   mkdir /var/spool/fax/printer
   mkdir /var/spool/fax/printer/tmp
   mkdir /var/spool/fax/printer/filt

} small

$w.text insert end \
{
and copy the FAX.flt script to the /var/spool/fax/printer/filt directory.
You may have to edit the script as it was written for Slackware but it should
be close. (the script is included in the distribution) and looks like this:

} norm

$w.text insert end \
{
#!/bin/sh
# filter location: /var/spool/fax/printer/filt/FAX.flt
#
# FAX FILTER CREATES a PostScript FILE to load into tkFaxSpool for FAXing
#
PSFILE=tkfaxspool.ps
PATH=/usr/local/bin:/usr/local/netpbm/bin:/usr/bin:/bin:/usr/X11R6/bin
DISPLAY=localhost:0.0
USER=$5
LOGNAME=$USER
if [ "$USER" = "root" ]
then
  HOME=/$USER
else
  HOME=/home/$USER
fi
PID=$$
# remove old PS file
rm -f /$HOME/$PSFILE
# create the PostScript file for faxspool
cat  > /$HOME/$PSFILE
# call the gui program
tkfaxspool -display $DISPLAY -f $HOME/$PSFILE
exit $?
} small

$w.text insert end \
{
------------------------------------------------------------------------
WHAT'S NOT INCLUDED :
------------------------------------------------------------------------
} bold

$w.text insert end \
{

"TCL/TK" I wrote this app for wish v8.3 of the  tcl/tk  GUI manager but
         should work with older versions.  Most modern distributions of 
         LINUX come with tcl/tk pre-installed.
         Available from: http://www.tcl.tk/

"TIX"    I wrote this app with tix v8.1 tcl/tk extensions but it should
         work with older versions of tix.  Most modern distributions of 
         LINUX come with tix pre-installed.
         Available from: http://tix.sourceforge.net/

"mgetty" Is part of "mgetty+sendfax" package vgetty needs to be properly
         installed and configured. (will work with vgetty too) 
         Available from: http://alpha.greenie.net/mgetty/

} norm

$w.text insert end \
{
------------------------------------------------------------------------
TKFAXSPOOL REQUIREMENTS :
------------------------------------------------------------------------
} bold
$w.text insert end \
{
SOFTWARE:
        - Probably any kernel released as 2.0 or later is a safe bet,
        - tk/tcl installed and "wish" is somewhere in users PATH
        - tix    installed and "tixwish" is somewhere in users PATH
        - mgetty installed and faxspool,faxrm are somewhere in users PATH 
        - faxrunqd installed and running at boot time.

HARDWARE:
	- Modem for send FAX support.
 
} norm
$w.text insert end \
{
------------------------------------------------------------------------
TESTED ON:
------------------------------------------------------------------------
} bold
$w.text insert end \
{
        - Slackware v8.0 for Intel i686
        - tk/tcl v8.3
        - tix-8.1
        - Linux Kernel releases: 2.2.19 and 2.4.17

} norm
$w.text insert end \
{
------------------------------------------------------------------------
HISTORY :
------------------------------------------------------------------------
} bold
$w.text insert end \
{

0.1     Released Aug. 1st 2002.

} norm
$w.text insert end \
{ 
------------------------------------------------------------------------
TKVOICE USAGE :
------------------------------------------------------------------------
} bold
$w.text insert end \
{
 
        tkfaxspool

        tkfaxspool -f /path/filename
 

} norm
$w.text insert end \
{ 
------------------------------------------------------------------------
INSTALLATION :
------------------------------------------------------------------------
} bold
$w.text insert end \
{
 
See the included file INSTALL for details about installation.
 
End of README.
} norm
$w.text configure -state disabled


