#!/bin/sh
#
TKFAXSPOOL=tkfaxspool-0.1
#
echo -e "\f"
echo "*************************************************"
echo "*                                               *"
echo "*  $TKFAXSPOOL installation script           *"
echo "*  _______________________________________      *"
echo "*                                               *"
echo "*  You must be the \"root\" user to run this      *"
echo "*                                               *"
echo "*************************************************"
INSTALLDIR=`pwd`
if [ "$INSTALLDIR" == "/usr/local/lib/$TKFAXSPOOL" ]
then
   echo -e "\finstalling tkvoice in STANDARD directory $INSTALLDIR"
else
   echo -e "\finstalling tkvoice in NON-Standard dir. $INSTALLDIR"
fi   
echo -e "\nAre you ready to install  ? (y/n)\c"
read answer
if [ "$answer" != "y" -a "$answer" != "Y" ]
then
    echo "Exiting ... you can run install.sh at a later date"
    exit 0
fi

# check user
USER=`env|grep USER|awk -F "=" '{print $2}'`
echo -e "\nChecking USER name...."
if [ "$USER" != "root" -a "$answer" != "ROOT" ]
then
    echo "exiting due to: USER=$USER"
    exit 0
else
    echo "USER=$USER ...proceeding"
fi
sleep 1
#
# check for tcl/tk wish
WISH=`type wish 2>&1|awk '{print $3}'`
if test -x $WISH
then
    echo -e "\nFound WISH: $WISH ...proceeding" 
else
    echo -e "\nexiting due to: tcl/tk WISH not found"
    echo -e "\nInstall tcl/tk and try again\n\n"
    exit 0
fi
sleep 1
# check for TIX     
for x in tixwish 
do
  TIXTOOL=`type $x 2>&1|awk '{print $3}'`
echo "TIXTOOL=$TIXTOOL"
  if test -x $TIXTOOL
  then
    echo -e "\nFound $x: $TIXTOOL" 
    echo "Make sure this is in your PATH ...proceeding" 
    sleep 1
  else
    echo -e "\n$x was not found"
    echo -e "\nDid you install tix8.1 ?"
    echo -e "\n$TKFAXSPOOL will not work properly without $x"
    echo -e "\nContinue with installation  ? (y/n)\c"
    read answer
      if [ "$answer" != "y" -a "$answer" != "Y" ]
      then
       echo -e "\nExiting ... you can run install.sh at a later date\n"
       exit 0
      fi
  fi
done
#
# check for FAX tools
for x in faxspool faxrm faxq
do
  FAXTOOL=`type $x 2>&1|awk '{print $3}'`
echo "FAXTOOL=$FAXTOOL"
  if test -x $FAXTOOL
  then
    echo -e "\nFound $x: $FAXTOOL" 
    echo "Make sure this is in your PATH ...proceeding" 
    sleep 1
  else
    echo -e "\n$x was not found"
    echo -e "\nDid you install mgetty tools?"
    echo -e "\n$TKFAXSPOOL will not view/print FAX messages without $x"
    echo -e "\nContinue with installation  ? (y/n)\c"
    read answer
      if [ "$answer" != "y" -a "$answer" != "Y" ]
      then
       echo -e "\nExiting ... you can run install.sh at a later date\n"
       exit 0
      fi
  fi
done
#

cd $INSTALLDIR
cd ..
rm -f tkfaxspool
ln -sf $TKFAXSPOOL tkfaxspool
cd $INSTALLDIR
ln -sf $INSTALLDIR/tkfaxspool /usr/local/bin/tkfaxspool
rm -rf ~/.tkfaxspool 2>/dev/null
# Start up tkfaxspool
echo -e "\nStarting TKFAXSPOOL...."

$INSTALLDIR/tkfaxspool
